import { Component, OnInit,Input } from '@angular/core';
import { Location } from '@angular/common';
import { User } from '../../../dtcservice/user'
import {UserService} from '../../../dtcservice/user.service';

@Component({
  selector: 'app-user-add',
  templateUrl: './user-add.component.html',
  styleUrls: ['./user-add.component.scss']
})
export class UserAddComponent implements OnInit {
  @Input() user:User;
  constructor(private location:Location,private userService:UserService) { }

  ngOnInit() {
    if(!this.user){
      this.user = {} as User;
    }
  }

  save():void{
      this.userService.addUser(this.user).subscribe(() => this.location.back());    
  }

}
